KDE 4.9 PyKDE API Reference

- KDE's Python API

# ConfigPage Class Reference

`from PyKDE4.ktexteditor import *`

Inherits: QWidget → QObject
Namespace: KTextEditor

## Detailed Description

Config page interface for the Editor.

Introduction

The class ConfigPage represents a config page of the KTextEditor.Editor. The Editor's config pages are usually embedded into a dialog that shows buttons like Defaults, Reset and Apply. If one of the buttons is clicked and the condig page sent the signal changed() beforehand the Editor will call the corresponding slot, either defaults(), reset() or apply().

See also:
  KTextEditor.Editor

Author:
  Christoph Cullmann <cullmann@kde.org>

## Signals
| changed ()
## Methods
| __init__ (self, QWidget parent)
| apply (self)
| defaults (self)
| reset (self)

## Signal Documentation

changed | ( |  | ) |

Emit this signal whenever a config option changed.

Signal syntax:
  `QObject.connect(source, SIGNAL("changed()"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent
| ) |  |  |

Constructor.

Create a new config page with parent.

Parameters:

  | parent | parent widget

apply | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

This slot is called whenever the button Apply or OK was clicked. Apply the changed settings made in the config page now.

defaults | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

Sets default options This slot is called whenever the button Defaults was clicked. Set the config page settings to the default values.

reset | ( |  | self ) |

Abstract method:
  This method is abstract and can be overridden but not called directly.

This slot is called whenever the button Reset was clicked. Reset the config page settings to the initial state.